Bug 111848 - boot hang acpi=on - sony vaio pcg-fx120
boot hang acpi=on - sony vaio pcg-fx120
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-10 15:58 EST by gman
Modified: 2015-01-04 17:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:50:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description gman 2003-12-10 15:58:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Installed FC1 on a Sony Vaio PCG-FX120.  Ran up2date and updated
kernel/source to 2.4.22.1.2129.

When booting with acpi=on, the system is able to detect my pcmcia 
card (a NetGear MA401) but hangs shortly thereafter.  It hangs at:

ACPI: Subsystem revision 20031002
PCI: PCI BIOS revision 2.10 entry at 0xfd9b0, last bus=1
PCI: Using configuration type 1

I've also tried booting with acpi=on and pci=noacpi but the pcmcia 
card would not be detected and it would hang at the same spot. 

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2129.nptl

How reproducible:
Always

Steps to Reproduce:
1.  Boot with acpi=on
2. 
3.
    

Actual Results:  System hangs at:

ACPI: Subsystem revision 20031002
PCI: PCI BIOS revision 2.10 entry at 0xfd9b0, last bus=1
PCI: Using configuration type 1


Expected Results:  Gone through with bootup.

Additional info:
Comment 1 Len Brown 2004-03-24 03:25:22 EST
Can you check if a recent kernel still hangs on boot here?

thanks,
-Len
Comment 2 gman 2004-04-07 02:32:15 EDT
I updated kernel to 2.4.22-1.2174.nptl but I get the same thing.

Gerald
Comment 3 Len Brown 2004-04-11 03:14:03 EDT
I was thinking something a little _more_ recent;-) 
How about 2.4.26? 
Or 2.6.5, or the latest FC2 2.6 kernel? 
 
note, for testing w/ 2.6 on FC1 
Go here http://people.redhat.com/arjanv/2.6/RPMS.kernel/ 
  
rpm -Uvh modutils...  
rpm -Uvh mkinitrd...  
rpm -ivh kernel...  
 
Also, if you can build with CONFIG_ACPI_DEBUG=y 
and boot with "debug" on the cmdline, it would be interesting 
if any additional messages came out at the hang. 
Another combo to try: 
"acpi=on" "noapic" 
and 
"acpi=on" "pci=noacpi" "noapic" 
to see if they do not hang. 
 
thanks, 
-Len 
 
Comment 4 Len Brown 2004-04-11 03:17:16 EDT
typo in previous comment... 
s/noapic/nolapic 
 
Comment 5 carlos 2004-06-26 21:45:43 EDT
Having same problem here, pc won't boot with acpi=on , and if I boot
with acpi=off , pcmcia card won't work!!! 

anyone one knows how to solve this????
Comment 6 David Lawrence 2004-09-29 15:50:02 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 7 Sergio Monteiro Basto 2004-09-30 18:06:18 EDT
try boot with "acpi=on nolapic" 

http://bugzilla.kernel.org/show_bug.cgi?id=1269

Note You need to log in before you can comment on or make changes to this bug.